Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Michael Heerdegen <[email-masked]>
Date: Thu, 25 Nov 2021 09:57:34 +0100

Gregory Heytings <[email-masked]> writes:

> AFAIU, the fundamental question here is: is "(closure (t) args body)"
> different in any way from "(lambda args body)"?  If not, is there a
> good reason to use a "(closure (t)" instead of a "(lambda"?

This is my question, too.  But not only: any anonymous function that
doesn't reference any part of its environment could (?) also be
represented as a lambda list.  With other words: only "real" closures
would be represented as (closure ...).  That would make inspection of
values and things like debugging easier.

Michael.